Bug 22616 - Update error text messages
Summary: Update error text messages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-01 15:37 UTC by Liz Rea
Modified: 2019-04-26 12:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22616: Updating error text messages (3.34 KB, patch)
2019-04-01 15:43 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22616: Updating error text messages (3.37 KB, patch)
2019-04-05 18:15 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22616: Updating error text messages (3.44 KB, patch)
2019-04-08 19:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-04-01 15:37:11 UTC
There were multiple error messages in the staff client that had slightly awkward text, for example:

"This patron does not exist" should be "Patron not found." 
"This $thing does not exist" should be "$thing not found."
"Find another $thing?" should be "Return to search."

"You are not allowed to see the information of this patron" should be "This account cannot view requested patron information" - this change makes it less personal, and might remind a person to check another account or to ask a supervisor if access is really required. I say this because it's not always the *person* who can't see a patron record, but the account that is currently logged in.
Comment 1 Liz Rea 2019-04-01 15:43:42 UTC
Created attachment 87286 [details] [review]
Bug 22616: Updating error text messages

To test:

Apply this patch
Go to a borrower that doesn't exist, check that the error message is
displayed and looks correct. (i.e. http://127.0.0.1:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=9999999999999999)
Go to an item, subscription, biblio that don't exist, check that the
error message is correct and the links work
Go to a borrower that the logged in user doesn't have permission to see, check that the error message is correct and the links work.
Comment 2 Bin Wen 2019-04-05 18:15:17 UTC
Created attachment 87459 [details] [review]
Bug 22616: Updating error text messages

To test:

Apply this patch
Go to a borrower that doesn't exist, check that the error message is
displayed and looks correct. (i.e. http://127.0.0.1:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=9999999999999999)
Go to an item, subscription, biblio that don't exist, check that the
error message is correct and the links work
Go to a borrower that the logged in user doesn't have permission to see, check that the error message is correct and the links work.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Katrin Fischer 2019-04-06 10:46:35 UTC
Bin, please don't forget to set the status to 'Signed off' when you are happy with the patch after testing.
Comment 4 Katrin Fischer 2019-04-08 19:47:10 UTC
Created attachment 87553 [details] [review]
Bug 22616: Updating error text messages

To test:

Apply this patch
Go to a borrower that doesn't exist, check that the error message is
displayed and looks correct. (i.e. http://127.0.0.1:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=9999999999999999)
Go to an item, subscription, biblio that don't exist, check that the
error message is correct and the links work
Go to a borrower that the logged in user doesn't have permission to see, check that the error message is correct and the links work.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-04-17 12:29:29 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-26 12:03:20 UTC
Enhancement will not be backported to 18.11.x series.